#
# spec file for package gotestsum
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gotestsum
Version:        1.10.1
Release:        1.2
Summary:        CLI Go test runner with output optimized for human readability
License:        Apache-2.0
Group:          Development/Languages/Go
URL:            https://github.com/gotestyourself/gotestsum
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.17

%description
Go test runner with output optimized for humans, JUnit XML for CI integration,
and a summary of the test results.

%prep
%autosetup -a 1

%build
go build \
   -buildmode=pie \
   -mod=vendor

%check
# execute the binary as a basic check
./%{name} --help

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE NOTICE
%{_bindir}/%{name}

%changelog
* Sat Aug 12 2023 jkowalczyk@suse.com
- Update to version 1.10.1:
  * Add test for accepting GODEBUG output
  * Quote test names before they are used within the regex to rerun
  * move TEAMCITY_VERSION version checkout outside of CI check
  * Don't treat debug messages as errors
  * Add support for zOS
  * update fixture
  * fix lint
  * extract TEAMCITY_VERSION check because they don't set CI
  * Detect CI environments by name
  * Revert "Enable color support by default on Drone CI"
  * Enable color support by default on Drone CI
  * Update README.md
  * Fix coverage detection for go1.20
  * ci: update goreleaser 1.7.0 to 1.17.0 for windows/arm64
  * Add prometheus to readme links
  * Add list of projects that use gotestsum
* Thu Jun  8 2023 jkowalczyk@suse.com
- Initial package version 1.10.0:
  * slowest: Add topN flag
  * Convert testname formatter to new interface
  * Convert pkgname formats
  * Convert two more formatters to new interface
  * Convert two formatters to new interface
  * Avoid appending bytes
  * Add jsonfile-timing-events flag for capturing only the terminal events
  * Ensure jsonfile is flushed before running post-run-command
  * Hide standard-json format for now
  * Add standard-json format
  * ci-matrix: improve description
  * Update expected value for new output of subtests
  * Update golangci-lint
  * Use go 1.20 in CI
  * Expect test to run for rename
  * Fix need to save twice to trigger watch
